Package com.independentsoft.office.odf.styles

# Enum Class WrapContourMode

java.lang.Object
java.lang.Enum<WrapContourMode>
com.independentsoft.office.odf.styles.WrapContourMode

All Implemented Interfaces:
  `Serializable`, `Comparable<WrapContourMode>`, `Constable`

public enum WrapContourMode extends Enum<WrapContourMode>
Represents the nature of the wrapping of text around the contour of a shape.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FULL`
  Text wraps around the shape and fills any spaces and indentations in the shape.
  `NONE`
  None.
  `OUTSIDE`
  Text wraps around the general area to the left and right of the shape.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static WrapContourMode`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static WrapContourMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FULL

    public static final WrapContourMode FULL
    Text wraps around the shape and fills any spaces and indentations in the shape.

  - ### OUTSIDE

    public static final WrapContourMode OUTSIDE
    Text wraps around the general area to the left and right of the shape.

  - ### NONE

    public static final WrapContourMode NONE
    None.

- ## Method Details

  - ### values

    public static WrapContourMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static WrapContourMode valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null